'use strict';

(function() {
	const _t = init('com.crocro.util');

	// queryToObj | クエリーをオブジェクトに
	_t.queryToObj = function() {
		// 変数の初期化
		const obj = {};

		// クエリー文字列があるなら生成
		if (location.search.length > 1) {
			const qArr = location.search.substr(1).split('&');
			qArr.forEach(x => {
				// 分割
				const kvArr = x.split('=');
				if (kvArr.length < 2) {return}

				// オブジェクトに格納
				const key = kvArr[0];
				const val = decodeURIComponent(kvArr[1]);
				obj[key] = val;
			});
		}
		return obj;
	};

	// objToQuery | オブジェクトをクエリーに
	_t.objToQuery = function(obj) {
		// 変数の初期化
		const res = Object.keys(obj).map(x => {
			return x + '=' + encodeURIComponent(obj[x]);
		}).join('&');

		return res;
	};

	// 初期化用関数
	function init(p) {
		return ((o, p) => {
			p.split('.').forEach(k => o = o[k]||(o[k]={}));
			return o})(window, p);
	};
})();
